<%--
    Document   : UpdatePacsDetails
    Created on : Oct 21, 2019, 6:00:55 PM
    Author     : 1242938
--%>

<%@page import="java.sql.Statement"%>
<%@page import="java.sql.ResultSet"%>
<%@page import="java.sql.Connection"%>
<%@page import="java.util.Date"%>
<%@page import="LoginDb.DbHandler"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="java.util.UUID" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">
<%String uuid = UUID.randomUUID().toString();%>
<% try {
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Update PACS Details</title>
        <link rel="shortcut icon" href="${pageContext.request.contextPath}/img/favicon.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/TableCSSCode.css" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/styles.css?pacs=<%=((new java.util.Date()).getTime())%>"/>
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/ButtonAndText.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/info.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <script src="${pageContext.request.contextPath}/js/Calendar.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="${pageContext.request.contextPath}/jquery-ui-1.10.4.custom/development-bundle/jquery-1.10.2.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/chromejs/chrome.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/js/iFrame_killer.js"></script>

        <style>
            .beforeAccSrch {
                display: none;
            }

            #nsc{
                position: right;
                top:510;
                right: 425;
                left: 750;
                bottom:376;
                width: auto;

            }
        </style>
    </head>
    <body  onload="noBack()">
        <script type="text/javascript">
            function noBack()
            {
                window.history.forward();
            }

            function ShowParent()
            {

                document.forms[0].action = "${pageContext.request.contextPath}/Deposit/UpdatePacsDetails.jsp";
                document.forms[0].submit();
            }
            function popup_pacsDetails(width, height) {
                if (window.innerWidth) {
                    LeftPosition = (window.innerWidth - width) / 2;
                    TopPosition = ((window.innerHeight - height) / 2) - 20;
                }
                else {
                    LeftPosition = (parseInt(window.screen.width) - width) / 2;
                    TopPosition = ((parseInt(window.screen.height) - height) / 2) - 20;
                }
                attr = 'resizable=yes,scrollbars=yes,width=' + width + ',height=' +
                    height + ',screenX=300,screenY=200,left=' + LeftPosition + ',top=' +
                    TopPosition + '';
                var screenName = "UpdatePacsDetails.jsp";
                var  lovKey="pacsD"
                popWin = open('${pageContext.request.contextPath}/CommonSearchInfoLOVNew.jsp?screenName=' + screenName+'&lovKey='+lovKey, 'pacsD', attr);
                popWin.focus();

            }

            function submitform(PacsDetForm)
            {
                if (checkDiv(PacsDetForm))
                {

                    document.PacsDetForm.action = '/PacsApplication/UpdatePacsDetailsServlet';
                    document.PacsDetForm.submit();
                }
            }
            function checkDiv(PacsDetForm)
            {
                if (PacsDetForm.pacsName.value == "")
                {
                    alert("Pacs Name cannot be null.");
                    PacsDetForm.pacsName.focus();
                    return false;
                }
                if (PacsDetForm.add1.value == "")
                {
                    alert("Address1 cannot be null.");
                    PacsDetForm.add1.focus();
                    return false;
                }
                if (PacsDetForm.add2.value == "")
                {
                    alert("Address2 cannot be null.");
                    PacsDetForm.add2.focus();
                    return false;
                }
                if (PacsDetForm.add3.value == "")
                {
                    alert("Address3 cannot be null.");
                    PacsDetForm.add3.focus();
                    return false;
                }
                return true;
            }

            function checkSpclChar(e) {
                var k = e.keyCode;
                //return ((k > 64 && k < 91) || (k > 96 && k < 123) || k == 8   || (k >= 48 && k <= 57));
                return ((k > 64 && k < 91) || (k > 96 && k < 123) || k == 8 || k == 32 || (k >= 44 && k <= 57));

            }

            // added for copy paste prevention
            $(document).ready(function(){
                $('#pacsName').bind("cut copy paste",function(e) {
                e.preventDefault();
                });
            });
            $(document).ready(function(){
                $('#add1').bind("cut copy paste",function(e) {
                e.preventDefault();
                });
            });
            $(document).ready(function(){
                $('#add2').bind("cut copy paste",function(e) {
                e.preventDefault();
                });
            });
            $(document).ready(function(){
                $('#add3').bind("cut copy paste",function(e) {
                e.preventDefault();
                });
            });

        // to restrict back button
            history.pushState(null, null, location.href);
            window.addEventListener('popstate', function(event) {
                history.pushState(null, null, location.href);
            });
            
        </script>

        <jsp:include page="MenuHead_Deposit.jsp" flush="true" />
        <br>

        <%!
            String blankNull(String s) {
                return (s == null) ? "" : s;
            }
        %>
          <%

                 String error_msg = "";
                 Object error = request.getAttribute("message");
                  if (error != null) {
                     error_msg = error.toString();

                 }
         %>

        <fieldset style="border-color: black; background-image: url('/PacsApplication/img/download.jpg'); border-width: 3px">
            <legend style="padding: 8px; border-radius: 20px; background-color: #006600; color: white">Update PACS Details</legend>
            <%if (!error_msg.equalsIgnoreCase("")) {%>
                    <center><div class="info" id="errorMessage"><center><%= error_msg%></center></div></center>
                    <% }%>
            <form name="PacsDetForm" id="PacsDetForm" action="" method="post">
                <div align="center">

                    <table>
                        <tbody>
                            <tr><tr><tr><tr><tr><tr>
                            <tr><td></td>
                                <td><input type="button" value="Get PACS Details" onclick="javascript:popup_pacsDetails(500,300);" /></td>
                            </tr>
                            <tr><tr><tr><tr><tr><tr><tr><tr><tr><tr><tr><tr>
                            <tr>
                                <td>PACS Name<font color="red" >*</font>: </td>
                                <td><input type="text" readOnly maxlength="70" size="50" name="pacsName" id="pacsName" onkeypress="return checkSpclChar(event)" /></tr>
                            <tr><tr><tr>
                            <tr>
                                <td>Address 1<font color="red" >*</font>: </td>
                                <td><input type="text" maxlength="35" size="50" name="add1" id="add1" onkeypress="return checkSpclChar(event)" /></tr>
                            <tr><tr><tr>
                            <tr>
                                <td>Address 2<font color="red" >*</font>: </td>
                                <td><input type="text" maxlength=35" size="50" name="add2" id="add2" onkeypress="return checkSpclChar(event)" /></tr>
                            <tr><tr><tr>
                            <tr>
                                <td>Address 3<font color="red" >*</font>: </td>
                                <td><input type="text" maxlength="70" size="50" name="add3" id="add3" onkeypress="return checkSpclChar(event)" /></tr>
                            <tr><tr><tr>
                            <tr>
                                <td>GSTIN Number:</td>
                                <td><input type="text" name="gstin" id="gstin" value="" maxlength="20" style="text-align:right;" onkeypress='return event.charCode >= 48 && event.charCode <= 90 && event.charCode != 64' /></td>
                            </tr>
                                
                        </tbody>
                    </table>
                    <br>
                    <br><br>
                    <center>
                     <input type="button" value="Submit" id="Submit" onclick="submitform(PacsDetForm);" />
                     <input type="button" value="Reset" id="Reset" onclick="ShowParent();"</center>
                 </div>
            </form>
        </fieldset>
    </body>
</html>
<% 	} catch (Exception e) {
               
            }
%>